﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FileInfoCOM;

namespace Counter
{
    class Program
    {
        static void Main(string[] args)
        {
            if (args.Count() != 1)
            {
                Console.WriteLine(String.Format("File: {0}", args.Count()));
                return;
            }

            int bIsRenderToPDF = 1;
            int bwPageCount = 0;
            int colorPageCount = 0;
            int copyCount = 0;
            double nPageWidth = 0;
            double nPageHeight = 0;
            string strPaperSizeName = new string(' ', 300);
            FileInfoCOM.FileInfoClass FileInfoCom = new FileInfoCOM.FileInfoClass();
            FileInfoCom.com_ReadInfoSetCode("XXXX-XXXX-XXXX-XXXX");

            string fileName = args[0];
            FileInfoCom.com_ReadInfoFromAllFormats(fileName, bIsRenderToPDF, ref bwPageCount, ref colorPageCount,
                                                   ref copyCount, ref nPageWidth, ref nPageHeight, ref strPaperSizeName);
            Console.WriteLine(String.Format("File: {0}", fileName));
            Console.WriteLine(String.Format("Render To PDF: {0}", bIsRenderToPDF));
            Console.WriteLine(String.Format("BW Pages: {0}", bwPageCount));
            Console.WriteLine(String.Format("Color Pages: {0}", colorPageCount));
            Console.WriteLine(String.Format("Width: {0}", nPageWidth));
            Console.WriteLine(String.Format("Height: {0}", nPageHeight));
            Console.WriteLine(String.Format("Paper name: {0}", strPaperSizeName));
            long nPageCount = FileInfoCom.com_ReadInfoGetPageCount();
            for (int i = 0; i < nPageCount; i++)
            {
                long nColor = FileInfoCom.com_ReadInfoGetPageColorInfo(i);
                switch (nColor)
                {
                    case 1:
                        Console.WriteLine("Page:{0} is Color.", i + 1);
                        break;
                    case 2:
                    case 3:
                        Console.WriteLine("Page:{0} is Black and White.", i + 1);
                        break;
                    default:
                        Console.WriteLine("Page:{0} is Black and White.", i+1);
                        break;
                }
            }
            return;
        }
    }
}
